org.gradle.language.nativeplatform.tasks

## Class AbstractNativePCHCompileTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask
      - - org.gradle.language.nativeplatform.tasks.AbstractNativePCHCompileTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>
  Direct Known Subclasses:
    CppPreCompiledHeaderCompile, CPreCompiledHeaderCompile, ObjectiveCppPreCompiledHeaderCompile, ObjectiveCPreCompiledHeaderCompile

      @Incubating
      public abstract class AbstractNativePCHCompileTask
      extends AbstractNativeCompileTask

  Compiles native header source files into object files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNativePCHCompileTask()`

  - ### Method Summary

    - ### Methods inherited from class org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask

      `compile, configureSpec, createCompileSpec, getCompilerArgs, getFileCollectionFactory, getHeaderDependencies, getIncludes, getIncrementalCompilerBuilder, getMacros, getObjectFileDir, getOperationLoggerFactory, getSource, getTargetPlatform, getTaskFileVarFactory, getToolChain, includes, isDebuggable, isOptimized, isPositionIndependentCode, setDebuggable, setMacros, setOptimized, setPositionIndependentCode, setTargetPlatform, setToolChain, source`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNativePCHCompileTask

          public AbstractNativePCHCompileTask()